Package org.springframework.web

# Interface ErrorResponse.Interceptor

Enclosing interface:
  ErrorResponse

public static interface ErrorResponse.Interceptor
Callback to perform an action before an RFC-9457 `ProblemDetail` response is rendered.

Since:
  6.2
Author:
  Rossen Stoyanchev

## Method Summary

Modifier and Type
Method
Description
`void`
`handleError(ProblemDetail detail, ErrorResponse errorResponse)`
Handle the given `ProblemDetail` that's going to be rendered, and the `ErrorResponse` it originates from, if applicable.

## Method Details

### handleError

void handleError(ProblemDetail detail, @Nullable ErrorResponse errorResponse)
Handle the given `ProblemDetail` that's going to be rendered, and the `ErrorResponse` it originates from, if applicable.

Parameters:
  `detail` - the `ProblemDetail` to be rendered
  `errorResponse` - the `ErrorResponse`, or `null` if there isn't one